#!/bin/bash
declare fqdn="${1:?}"

fwconsole certificates --import
fwconsole certificates --default=?
fwconsole certificates --details=?
fwconsole certificates --delete=?

fwconsole certificates --import
fwconsole certificates --updateall

for certfile in pem key crt; do
    rsync -av --itemize-changes {'/etc/asterisk/keys/'"${fqdn}",'/etc/httpd/pki/webserver'}'.'"${certfile}"
done
